<?php

declare(strict_types=1);

namespace App\Controller\TblNotificacion;

use App\Service\TblNotificacionService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblNotificacionService(): TblNotificacionService
    {
        return $this->container->get('TblNotificacion_service');
    }
}
